gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Polygon canvas item

A canvas item for drawing polygon (multi sided) shapes.

Gnome.CanvasShape GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CanvasPolygon, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new polygon
  The that this item belongs to.
  the newly-created object
- Property
  Gnome.CanvasPoints a pointer. This can be created by a call to the constructor. a pointer. a pointer.
- Method
  System.Double `` `` `` `` Computes the distance between a point and a polygon. FIXME Vertices of the polygon. X coordinates are in the even indices, and Y coordinates are in the odd indices. Number of points in the polygon. X coordinate of the point. Y coordinate of the point. The distance from the point to the polygon, or zero if the point is inside the polygon.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  To be added
  a
  To be added